.web_services
    .page_content
        justify-content space-between
        margin-top $sp
        +above(5)
            margin-top $sp--plus-half
            flex-direction row

    .service
        &__text
            margin-top 0
            flex 1
            +above(5)
                flex 0 0 24%

        &__description_extra
            overflow hidden
            max-height 800px
            transition max-height 1s ease-in-out

            &--hidden
                +below(2)
                    max-height 0

            > .service__description
                margin-top $sp

        &__description_button
            display block
            +above(3)
                display none

            overflow hidden
            margin $sp auto $sp--half
            width $sp--double
            height $sp
            padding 0 $sp--third
            box-shadow 1px 1px 5px $cl--gray
            background-color $cl--gray

            &:hover
            &:active
                background-color darken($cl--gray, 10%)

            &::before
                content ''
                display inline-block
                height $sp
                width $sp
                background-image url('../images/assets/three-dots.svg')
                background-position center
                background-repeat no-repeat

        &__media
            flex 1
            width 100%
            display flex
            justify-content space-between
            flex-direction column
            margin-top $sp
            +above(3)
                flex-direction row
            +above(5)
                margin-top 0
                flex 0 0 74%

            > div:first-child
                flex 0 0 61.3%

                > div:not(:first-child)
                    margin-top $sp--quarter * 3

            > div:last-child
                margin-top $sp--quarter * 3
                +above(3)
                    margin-top 0
                    flex 0 0 36.7%

    .gatsby-image-wrapper
        box-shadow 1px 1px 10px $cl--gray
